//Javascript Orios Page

var xmlHttp





function nuevoAjax()

{

	var xmlhttp=false;

 	try {

 		xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");

 	} catch (e) {

 		try {

 			xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");

 		} catch (E) {

 			xmlhttp = false;

 		}

  	}



	if (!xmlhttp && typeof XMLHttpRequest!='undefined') {

 		xmlhttp = new XMLHttpRequest();

	}

	return xmlhttp;

}



function alerta()

{

	alert("Si jalo");

}



function paciente()

{

	expedi=nuevoAjax();

	var exped=document.getElementById('expediente').value;

	expedi.open("GET", "consultas_ajax_orios.php?expediente="+exped,true);

	expedi.onreadystatechange= 

	function() 

		{ 	

			if (expedi.readyState==4) { 

			document.getElementById('nombrepaciente').innerHTML=expedi.responseText; 

		} 

	} 

	expedi.send(null);

}



function doctor()

{

	doc=nuevoAjax();

	var doctor=document.getElementById('clavedoctor').value;

	doc.open("GET", "consultas_ajax_orios.php?clavedoc="+doctor,true);

	doc.onreadystatechange= 

	function() 

		{ 	

			if (doc.readyState==4) { 

			document.getElementById('nombredoctor').innerHTML=doc.responseText; 

		} 

	} 

	doc.send(null);

}



function filtroproducto()

{

	prod=nuevoAjax();

	var nomprod=document.getElementById('producto').value;

	prod.open("GET", "consultas_ajax_orios.php?nomprod="+nomprod,true);

	prod.onreadystatechange= 

	function() 

		{ 	

			if (prod.readyState==4) { 

			document.getElementById('filtrado').innerHTML=prod.responseText; 

		} 

	} 

	prod.send(null);

}



function filtroproductobaja()

{

	prod=nuevoAjax();

	var nomprod=document.getElementById('producto').value;

	//alert(exped);

	//document.getElementById('expediente').value=document.write('<input type="text" value="' + exped + '" name="expediente">');

	//document.getElementById('expediente').innerHTML = document.write('<input type="text" value="' + exped + '" name="expediente">');

	prod.open("GET", "consultas_ajax_orios.php?nomprodbaja="+nomprod,true);

	prod.onreadystatechange= 

	function() 

		{ 	

			if (prod.readyState==4) { 

			document.getElementById('filtrado').innerHTML=prod.responseText; 

		} 

	} 

	prod.send(null);

}



function borra_producto(clave_borra)

{

	document.getElementById('tablacontenido').innerHTML= "<center><img src='img/ajax-loader.gif'><p class='style4'>Procesando articulo...</p></center>";

	var folio=document.getElementById('folio').value;

	borra=nuevoAjax();

	alert(clave_borra + " " + folio);

	borra.open("GET", "consultas_ajax_orios.php?claveBorra="+clave_borra+"&"+"folio="+folio,true);

	borra.onreadystatechange= 

	function() 

		{ 	

			if (borra.readyState==4)

			{  

			document.getElementById('tablacontenido').innerHTML=borra.responseText;  

			} 

		} 

	borra.send(null);

}



function agregar()

{	

	document.getElementById('tablacontenido').innerHTML= "<center><img src='img/ajax-loader.gif'><p class='style4'>Procesando articulo...</p></center>";

	agrega=nuevoAjax();

	var clave=document.getElementById('clave').value;

	//alert("Clave: " + clave);

	var cantidad=document.getElementById('cantidad').value;

	//alert("Cantidad: " + cantidad);

	var folio=document.getElementById('folio').value;

	//alert("Folio: " + folio);

	var clinica=document.getElementById('clinica').value;

	//alert("Clinica: " + clinica);

	if (clave =='')

	{

		alert("No se ha ingresado ningún producto");

		return;

	}

	if (cantidad =='')

	{

		alert("Requieres ingresar cantidad del producto");

		return;

	}

	agrega.open("GET", "consultas_ajax_orios.php?clave="+clave+"&"+"cantidad="+cantidad+"&"+"folio="+folio+"&"+"clinica="+clinica,true);

	agrega.onreadystatechange= 

	function() 

	{ 	

		if (agrega.readyState==4)

		{ 

			document.getElementById('tablacontenido').innerHTML=agrega.responseText; 

			document.getElementById('clave').value='';

			document.getElementById('nombre').value='';

			document.getElementById('cantidad').value='';

		}

	} 

	agrega.send(null);

	cantidad=0;

	clave='';

	//document.write('<input type="text" value="' + folio + '" name="fol">');

	//total();

}



function addpaquete()

{

	var paquete;

	var folio;

	pq=nuevoAjax();

	paquete=document.getElementById('paquete').value;

	folio=document.getElementById('folio').value;

	pq.open("GET", "consultas_ajax_orios.php?paquete="+paquete+"&"+"folio="+folio,true);

	pq.onreadystatechange= 

	function() 

	{ 	

		if (pq.readyState==4)

		{ 

			document.getElementById('tablacontenido').innerHTML=pq.responseText; 

		}

	} 

	pq.send(null);

	paquete=0;

}



function abrirdatos()

{

	document.getElementById('tablacontenido').innerHTML= "<center><img src='img/ajax-loader.gif'><p class='style4'>Procesando articulo...</p></center>";

	abrirdatos=nuevoAjax();

	var foliodatos=document.getElementById('folio').value;

	abrirdatos.open("GET", "consultas_ajax_orios.php?consulabrirdatos="+foliodatos,true);

	abrirdatos.onreadystatechange= 

	function() 

		{ 	

			if (abrirdatos.readyState==4) { 

			document.getElementById('tablacontenido').innerHTML=abrirdatos.responseText; 

		} 

	} 

	abrirdatos.send(null);

}



//====================== FUNCIONES DE OTRAS PAGINAS ==========================================



//consulcompras.php

function facturas()

{

	fact=nuevoAjax();

	var provee=document.getElementById('proveedor').value;
	
	if(provee!=0)
	{
	
		fact.open("GET", "consultas_ajax_orios.php?proveedor="+provee,true);
		fact.onreadystatechange= 
		function() 
		{ 	
			if (fact.readyState==4)
			{ 
				document.getElementById('facturas').innerHTML=fact.responseText; 
			} 
		} 
		fact.send(null);
	}
}



function porfecha()

{
	document.getElementById('facturas').innerHTML= "<center><img src='img/ajax-loader.gif'><p class='style4'>Procesando...</p></center>";
	fechafact=nuevoAjax();
	var fecha=document.getElementById('fecha6').value;
	fechafact.open("GET", "consultas_ajax_orios.php?fechafact="+fecha,true);
	fechafact.onreadystatechange= 
	function() 
		{ 	
			if (fechafact.readyState==4) { 
			document.getElementById('facturas').innerHTML=fechafact.responseText; 
		} 
	} 
	fechafact.send(null);
}

function vercompra(compra)
{
	document.getElementById('visualiza').innerHTML= "<center><img src='img/ajax-loader.gif'><p class='style4'>Procesando...</p></center>";
	vercomp=nuevoAjax();
	vercomp.open("GET", "consultas_ajax_orios.php?idcompra="+compra,true);
	vercomp.onreadystatechange= 
	function() 
		{ 	
			if (vercomp.readyState==4) { 
			document.getElementById('visualiza').innerHTML=vercomp.responseText; 
		} 
	} 
	vercomp.send(null);
}